<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>

	<!-- The align attribute changes the alignment of the paragraph and h2 elemt -->

	<!-- 
		Syntax to add an attribute:

			<element attribute="value">Content</element>

			<element attribute="value" />

	 -->
	<!-- 
		Syntax to add an attribute:

			<element attribute="value">Content</element>

			<element attribute="value" />

	 -->
	 <!-- The "id" attribute assigns a unique named indetifier to an element -->
	<h2 align="center" id="top">HTML Attributes</h2>
	<p align="center"><em>Modifiers of element behaviors</em></p>

	<h2 align="right">HTML Images</h2>
	<p align="right"><em>An image can be shown using &lt; img&gt; tag along with its <strong>src</strong> attribute</em></p>

	<!-- Adds an image using absolute linking -->
	<!-- <img> tag - used to include images -->
	<a href="https://place-puppy.com/300x300">
		<img src="https://place-puppy.com/300x300"/>
	</a>

	<p>
		<!-- <code> tag - used to define a piece of computer code and display in the browser using it's default monospace font -->
		<code>
			&lt; img src="https://place-puppy.com/300x300"&gt;
		</code>
	</p>
	<!-- 
		- The "target" attribute defines where the link will be opened. Providing the value of "_blank" will open the link in a new tab. By default hyperlinks open pages in the same tab
	 -->
	<a href="https://zuitt.co" target="_blank">
		<img src="./Images/zuittlogo.png"></a>
	</a>
	<p>
		<code>
			&lt; img src="./Images/zuittlogo.png"&gt;
		</code>
	</p>

	<p>Valid image extension:</p>

	<!-- 
		- The "type" attribute changes the numbered points of the ol element. The default type is the integer numbers.
		- Other values for the type attribute are the following:
			- 1
			- A
			- i
			- I

	 -->

	<ol type="a" reversed>
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<p>Take a look at w3schools attribute <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a></p>

	<h2>HTML Links</h2>

	<h4>Absolute Link</h4>

	<!-- Creates a hyperlink element that redirect to a different page -->
	<a href="https://zuitt.co">I'm a hyperlink</a>

	<h4>Relative Link</h4>
	<!-- Redirects to the link.html file -->
	<p>Go to <a href="./link.html">link.html</a></p>

	<p>Go to <a href="#top">Top</a></p>


</body>
</html>